<nb-layout>
 
  <nb-layout-header fixed>Company Name</nb-layout-header>

  <nb-sidebar>Sidebar Content</nb-sidebar>
  
  <nb-layout-column>

    <nb-card>
      <nb-card-body>
        <input [(ngModel)]="fazenda.nome" nbInput fullWidth  placeholder="Nome da Fazenda"/><br/><br/>
        <input [(ngModel)]="fazenda.area" mask="separator.2" nbInput fullWidth placeholder="Área"/><br/><br/>
        <input [(ngModel)]="fazenda.atividade" nbInput fullWidth placeholder="Atividade"/><br/><br/>
        <input [(ngModel)]="fazenda.municipio" nbInput fullWidth placeholder="Município"/><br/><br/>

        <button (click)="salvar()" nbButton status="primary">Salvar</button>
      </nb-card-body>
      
    </nb-card>
    
    <table>
        <thead>
          <th>Nome</th>
          <th>Área</th>
          <th>Atividade</th>
          <th>Município</th>
        </thead>
        <tbody>
        <tr *ngFor="let f of fazendas">
          <td>{{f.nome}}</td>
          <td>{{f.area}}</td>
          <td>{{f.atividade}}</td>
          <td>{{f.municipio}}</td>
          <td><button (click)="selecionar(f)" nbButton status="primary">Editar</button></td>
          <td><button (click)="excluir(f)" nbButton status="primary">Excluir</button></td>
        </tr>
      </tbody>
    </table>

  </nb-layout-column>

</nb-layout>